Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Can not run WAR-file with RAP Demo(Unresolved requirement: Import-Package: javax.servlet.http; version="[2.3.0,4.0.0)")
Can not run WAR-file with RAP Demo [message #1736041] Fri, 24 June 2016 14:47 Go to next message
Pavel Kharitonov is currently offline Pavel KharitonovFriend
Messages: 2
Registered: June 2016
Junior Member
Hello, I tried to build WAR-file from RAP Demo bundle and deployed it on Tomcat 8.

My enviroment:
Eclipse Java EE IDE for Web Developers. Version: Mars.2 Release (4.5.2)
Eclipse RAP 3.0
Java 1.8
Tomcat 8

I got next exception:
BundleException: Could not resolve module: org.eclipse.rap.demo [33]
Unresolved requirement: Import-Package: javax.servlet.http; version="[2.3.0,4.0.0)"


Let's me describe my steps:
1) I installed Rap 3.0 target platform and War Product for Eclipse
index.php/fa/26268/0/

2) I imported RAP demo bundle
index.php/fa/26269/0/

3) I created warproduct config file
index.php/fa/26270/0/

4) I configured rapdemo.warproduct file
index.php/fa/26271/0/

5) Validation was checked and I exported RAp demo bundle to WAR file. And deployed it to Tomcat 8

6) But I got an exception 404. OSGI console displayed this message:
index.php/fa/26272/0/

I can't understand my mistake. How to run this WAR-file without issues?
Re: Can not run WAR-file with RAP Demo [message #1736058 is a reply to message #1736041] Fri, 24 June 2016 15:50 Go to previous messageGo to next message
Ivan Furnadjiev is currently offline Ivan FurnadjievFriend
Messages: 2359
Registered: July 2009
Location: Sofia, Bulgaria
Senior Member
Hi,
if you built a war, that you plan to deploy in Tomcat, you don't need
all Jetty related bundles. There are some recommendations in our Wiki
[1] how to resolve deployment problems.

[1] https://wiki.eclipse.org/RAP/FAQ#Exported_WAR_file_does_not_work

Regards,
Ivan

--
Ivan Furnadjiev

Twitter: @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Can not run WAR-file with RAP Demo [message #1736195 is a reply to message #1736058] Mon, 27 June 2016 12:31 Go to previous message
Pavel Kharitonov is currently offline Pavel KharitonovFriend
Messages: 2
Registered: June 2016
Junior Member
Thank you for your answer.
I removed all jetty bundles from WAR-file. Error still reproduces.
Also I found that my WAR-file does not contains org.eclipse.equinox.servletbridge.extensionbundle bundle as described on FAQ.
make sure that there is a org.eclipse.equinox.servletbridge.extensionbundle in the ss-listing whos state is RESOVLED

I can not understand why this bundle was not copied to WAR-file. Eclipse marked this bundle with red icon, but I can not get error message. See screen
https://www.eclipse.org/forums/index.php/fa/26271/0/

How can I detect error with this bundle?
Previous Topic:GEF figure move problem
Next Topic:How to use HttpSessionListener?
Goto Forum:
  


Current Time: Sun Oct 17 21:58:46 GMT 2021

Powered by FUDForum. Page generated in 0.02045 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top